
Summary: KIOSK administration tool for KDE
Name:	 kiosktool
Version: 1.0
Release: 8%{?dist}

License: GPLv2
Group:	 System Environment/Base
URL:	 http://extragear.kde.org/apps/kiosktool/
Source:	 ftp://ftp.kde.org/pub/kde/stable/apps/KDE3.x/admin/kiosktool-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# empty defaults
Source1: kde-user-profile

BuildRequires: gettext
BuildRequires: kdelibs-devel


%description
A Point and Click tool for system administrators to enable KDE's KIOSK 
features or otherwise preconfigure KDE for groups of users. 


%prep
%setup -q


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# create/own profile dir
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/kde-profile/

# empty default settings
install -p -m644 -D %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/kde-user-profile

## File lists
# locale's
%find_lang %{name}
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/crystalsvg 2> /dev/null ||:
gtk-update-icon-cache -q %{_datadir}/icons/crystalsvg 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/crystalsvg 2> /dev/null ||:
gtk-update-icon-cache -q %{_datadir}/icons/crystalsvg 2> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
#attr(0511,root,root) %{_bindir}/kiosktool*
%{_bindir}/kiosktool*
%{_datadir}/applications/kde/kiosktool.desktop
%{_datadir}/apps/kiosktool/
%{_datadir}/icons/crystalsvg/*/*/*
%{_sysconfdir}/kde-profile/
%config(noreplace) %{_sysconfdir}/kde-user-profile


%changelog
* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0-8
- respin (BuildID)
- License: GPLv2

* Sat Dec 09 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-7
- drop desktop-file-install bits

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-6
- fc6: respin 

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-5
- --enable-final
- fix symlinks
- simplify configure

* Tue Nov 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-3
- %%post: drop needless update-desktop-database
- --add-category=Application
- create/own %%_sysconfdir/{kde-profile,kde-user-profile}

* Mon Oct 31 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-2
- cleanup for Extras

* Tue Apr 26 2005 Rex Dieter 1.0-1.0
- first try
